incubator-couchdb-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Robert Newson <rnew...@apache.org>
Subject Re: [VOTE] Apache CouchDB maintenance releases, first round for 1.0.4, 1.1.2, 1.2.1
Date Wed, 02 Jan 2013 18:12:10 GMT
And neither 1.0.4 nor 1.1.2 should work with erlang R15 or spidermonkey 1.8.5.

I'm fine that some folks can't test properly due to lack of access to
old dependencies but that also means you can't take part in the
testing and voting for those artifacts. It's inappropriate to vote for
an artifact you haven't tested.

B.

On 2 January 2013 18:06, Randall Leeds <randall.leeds@gmail.com> wrote:
> On Wed, Jan 2, 2013 at 9:59 AM, Noah Slater <nslater@apache.org> wrote:
>
>> Running all tests with Erlang R15B02 (erts-5.9.2) and SpiderMonkey 1.8.5.
>>
>> = 1.0.4 =
>>
>> Got as far as:
>>
>> ./configure --prefix=/tmp/couchdb/install
>>
>> This is from the Checking the Release Artefacts section in the release
>> procedure. Unable to configure the source because my SpiderMonkey is too
>> new. Tried to compile from source, but got errors. No available Ubuntu
>> image has a package old enough. I am happy that the release is fine,
>> though, obviously, I have been unable to run the code or run either test
>> suite.
>>
>> This artefact gets my +1
>>
>> = 1.1.2 =
>>
>> Got as far as running the Futon test suite. (Surprised I got this far with
>> my up-to-date versions of both Erlang and SpiderMonkey.) Extensive
>> segmentation faults and bus errors. All tests pass except oauth.
>>
>> This artefact gets my +1
>>
>> = 1.2.1 =
>>
>> Completed the Futon test suite. Extensive segmentation faults and bus
>> errors. All tests pass.
>>
>> This artefact gets my +1
>>
>>
>>
> This concerns me, Noah. It's expected on your configuration that 1.0.4
> would not work, though I'm surprised you +1 anyway. On the others, 1.1.2
> should work, though I have OAuth failures with newest Erlang, too, but
> 1.2.1 should work totally correctly and neither should have seg faults.
>
> Could you paste some log showing the seg faults and bus errors?
>
>
>>
>> On 29 December 2012 20:12, Dave Cottlehuber <dch@apache.org> wrote:
>>
>> > Hello,
>> >
>> > We would like to call a vote for Apache CouchDB, 1.0.4, 1.1.2, and 1.2.1,
>> > first round, maintenance releases, to start your New Year with a bang.
>> >
>> > We encourage the whole community to download and test these release
>> > artifacts so that any critical issues can be resolved before the releases
>> > are made. Everyone is free to vote on this release, so get stuck in!
>> >
>> > We are voting on the following release artifacts, by different release
>> > managers to spread the load.
>> >
>> > Robert Newson:
>> >     http://people.apache.org/~rnewson/dist/1.0.4
>> >
>> > Dave Cottlehuber:
>> >     http://people.apache.org/~dch/dist/1.1.2
>> >     http://people.apache.org/~dch/dist/1.2.1
>> >
>> > PGP Keys:
>> >     https://people.apache.org/~dch/dist/KEYS
>> >
>> > These artifacts have been built from the following git commits:
>> >
>> > 1.0.4: 514b7ef95cf67a06f094d56b6ab86b4a770292bd
>> > 1.1.2: 306a6eb4405de878313b46ef026a6089503b693a
>> > 1.2.1: 5ebfa8e4bce7322ae0d7b7d95f269425cdb9a46c
>> >
>> > Please follow the test procedure before voting:
>> >
>> > http://wiki.apache.org/couchdb/Test_procedure
>> >
>> > Note the following restrictions for both 1.0.4 and 1.1.2:
>> >
>> > Erlang/OTP R14B* or lower
>> > Spidermonkey 1.8.0rc1 or lower
>> >
>> > Thank you.
>> >
>> > Happy voting,
>> > Dave & Bob.
>> >
>> >
>>
>>
>> --
>> NS
>>

Mime
View raw message